using PkmnLib.Plugin.Gen7.Scripts.Pokemon;

namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "spiky_shield")]
public class SpikyShield : ProtectionScript
{
    /// <inheritdoc />
    protected override Script GetEffectScript() => new SpikyShieldEffect();
}